--What with weird accents?
--Use http://black-fraternity.de/lua/utf8converter.php to translate.

------------------------------------------------------------
-- 97 Companion Pets (MiniPets) Listed
-- 31 added by Elsu (For English version)
-- 
-- Wolpertinger's Tankard
-- Red Helper Box
-- Clockwork Rocket Bot
-- Chuck's Bucket
-- Muckbreath's Bucket
-- Snarly's Bucket
-- Toothy's Bucket
-- Dragon Kite
-- Phoenix Hatchling
-- Scorched Stone
-- Egbert's Egg
-- Elekk Training Collar
-- Sleepy Willy
-- Azure Whelpling
-- Banana Charm
-- Dragon Kite
-- Mojo
-- Rocket Chicken
-- Tiny Sporebat
-- Tyrael's Hilt
-- Blue Murloc Egg
-- Captured Firefly
-- Don Carlos' Famous Hat
-- Fortune Coin
-- Golden Pig
-- Nether Ray Fry
-- Pink Murloc Egg
-- Sinister Squashling
-- Soul-Trader Beacon
-- Competitor's Souvenir
-- Gold Medallion
------------------------------------------------------------
------------------------------------------------------------

--Localized variable names
if(GetLocale() == "enGB" or GetLocale() == "enUS") then
	PETITEMNAMES = {
	"A Jubling's Tiny Home", 	
	"Ancona Chicken", 	
	"Azure Whelpling",
	"Banana Charm",
	"Black Kingsnake",
	"Bloodsail Admiral's Hat",	-- Must be equipped
	"Blue Dragonhawk Hatchling",
	"Blue Moth Egg",		 	
	"Blue Murloc Egg",
	"Blue Murloc Egg",
	"Brown Rabbit Crate",
	"Brown Snake", 		
	"Captured Firefly",
	"Captured Flame",  	
	"Cat Carrier (Black Tabby)",
	"Cat Carrier (Bombay)", 
	"Cat Carrier (Cornish Rex)", 
	"Cat Carrier (Maine Coon)", 
	"Cat Carrier (Orange Tabby)", 
	"Cat Carrier (Siamese)", 
	"Cat Carrier (Silver Tabby)", 
	"Cat Carrier (White Kitten)", 
	"Chicken Egg", 	
	"Chuck's Bucket",	
	"Clockwork Rocket Bot", 	
	"Cockroach",	
        "Competitor's Souvenir",
 	"Crimson Snake", 	
	"Dark Whelpling",
	"Diablo Stone",
	"Disgusting Oozeling",	
	"Don Carlos' Famous Hat",	-- Must be equipped
	"Dragon Htachling",	
	"Dragon Kite",
	"Egbert's Egg",
	"Elekk Training Collar",
	"Fortune Coin",
        "Gold Medallion",
	"Golden Dragonhawk Hatchling",
	"Golden Pig",
	"Great Horned Owl", 
	"Green Helper Box",		-- Requires a Snowball
	"Hawk Owl", 	
	"Hippogryph Hatchling",	
	"Jingling Bell",		-- Requires a Snowball
	"Lifelike Mechanical Toad", 	
	"Lil' Smoky",	
	"Lurky's Egg",
	"Magical Crawdad Box",
	"Mana Wyrmling",
	"Mechanical Chicken", 	
	"Mechanical Squirrel Box", 
	"Miniwing",		
	"Mojo",
	"Muckbreath's Bucket",	
	"Nether Ray Fry",
	"Netherwhelp's Collar",
	"Panda Collar", 	
	"Parrot Cage (Cockatiel)", 
	"Parrot Cage (Green Wing Macaw)", 
	"Parrot Cage (Hyacinth Macaw)", 
	"Parrot Cage (Senegal)",
	"Pet Bombling",
	"Phoenix Hatchling",
	"Piglet's Collar", 	
	"Pink Murloc Egg",
	"Pink Murloc Egg",	
	"Prairie Dog Whistle", 
	"Rabbit Crate (Snowshoe)", 
	"Rat Cage",
	"Red Dragonhawk Hatchling", 
	"Red Helper Box",		-- Requires a Snowball
	"Red Moth Egg",
	"Rocket Chicken",
	"Scorched Stone",
	"Silver Dragonhawk Hatchling",
	"Sinister Squashling",
	"Sleepy Willy",
	"Smolderweb Carrier",
	"Snarly's Bucket",	
	"Snowman Kit",			-- Requires a Snowball
	"Soul-Trader Beacon",
	"Sprite Darter Egg", 
	"Tiny Black Whelpling", 
	"Tiny Crimson Whelpling", 
	"Tiny Emerald Whelpling", 	
	"Tiny Sporebat",
	"Toothy's Bucket",	
	"Tranquil Mechanical Yeti",	
	"Tree Frog Box",	
	"Truesilver Shafted Arrow",
	"Turtle Box", 	
	"Tyrael's Hilt",
	"White Moth Egg",
	"Wolpertinger's Tankard",	  	
	"Wood Frog Box",
	"Worg Carrier",	  	
	"Yellow Moth Egg",
	"Zergling Leash"
	};
	

	MINIPET_TELEPORTS = {
	"Hearthstone",

	-- Alliance Teleports
	"Teleport: Darnassus",
	"Teleport: Ironforge",
	"Teleport: Stormwind",
	"Teleport: Exodar",

	-- Horde Teleports
	"Teleport: Undercity",
	"Teleport: Orgrimmar",
	"Teleport: Thunder Bluff",
	"Teleport: Silvermoon",

	-- Shattrath
	"Teleport: Shattrath",

	-- Druid Teleport
	"Teleport: Moonglade",

	-- Engineering Transporters
	"Gnomish Transporter",	--Gadgetzan
	"Everlook Transporter",
	"Toshley's Station Transporter",
	"Area52 Transporter"
	};
	
	MINIPET_BATTLEGROUNDS = {
	"Warsong Gulch",
	"Arathi Basin",
	"Alterac Valley",
	"Eye of the Storm"
	};
	
	MINIPET_USAGE = --\n = enter, |cFF00FFFF = blue color, |r resets the colour
	"MiniPet Commands:\n"..
	"|rlist: |cFF00FFFFShow a list with all your pets.\n"..
	"|rtoggleTextWarning: |cFF00FFFFShow textwarnings to warn you get out a minipet?\n"..
	"|rtoggleButtonWarning: |cFF00FFFFFlash the button to warn you to get out a minipet?\n"..
	"|rtoggleAutoHideButton: |cFF00FFFFHide the button when you clicked it?\n" ..
	"|rtoggleBg: |cFF00FFFFShow warnings in a battleground?\n"..
	"|rtoggleButton: |cFF00FFFFShow/Hide the MiniPet-Button.";		
	
	MINIPET_WARNPLAYER = "Time to pop out a minipet!";
	MINIPET_BGENABLED = "Enabled showing warnings in a battleground.";
	MINIPET_BGDISABLED = "Disabled showing warnings in a battleground.";
	MINIPET_TEXTWARNINGENABLED = "Enabled showing a text message to remind you to get a pet.";
	MINIPET_TEXTWARNINGDISABLED = "Disabled showing a text message to remind you to get a pet.";
	MINIPET_BUTTONWARNINGENABLED = "Enabled flashing the button to remind you to get a pet.";
	MINIPET_BUTTONWARNINGDISABLED = "Disabled flashing the button to remind you to get a pet.";
	MINIPET_AUTOHIDEBUTTONENABLED = "Enabled hiding the button when you clicked it.";
	MINIPET_AUTOHIDEBUTTONDISABLED = "Disabled hiding the button when you click it.";
	MINIPET_BUTTONENABLED = "Shown the MiniPet Button.";				
	MINIPET_BUTTONDISABLED = "Hidden the MiniPet Button.";
	
	MINIPET_NOPETS = "You have no companion pets..  :( ";
	
------------------------------------------------------------
------------------------------------------------------------

--FRENCH LOCALIZATION
--French translation done by Faerian of Medivh
elseif(GetLocale() == "frFR") then
    PETITEMNAMES = { 
    "Bicorne d'amiral de la Voile sanglante",   --Needs to be equipped
	"Bo\195\174te \195\160 assistant vert",
	"Bo\195\174te \195\160 Grenouille foresti\195\168re",
	"Bo\195\174te \195\160 Grenouille sylvestre",
	"Bo\195\174te \195\160 tortue",
	"Bo\195\174te de bonhomme de neige",
    "Bombinette",
    "Cafard",   
    "Cage \195\160 rat",
    "Cage de perroquet (Cockatiel)", 
    "Cage de perroquet (Macaw ailes vertes)", 
    "Cage de perroquet (Macaw jacinthe)", 
    "Cage de perroquet (S\195\169n\195\169gal)",
    "Caisse de Couveuse",
    "Caisse de lapin (patte-blanche)", 
    "Caisse de lapin marron",
    "Caisse de worg",       
    "Caisse d'Ecureuil m\195\169canique", 
    "Chouette-faucon",   
    "Clochette tintinnabulante",
    "Cobra noir",
    "Collier de panda",     
    "Collier de porcelet",   
    "Collier du dragonnet du N\195\169ant",
    "Crapaud m\195\169canique",    
    "Fl\195\168che en vrai-argent",
    "Flamme captive",    
    "Grande chouette cornue", 
    "Jeune dragonnet cramoisi",   
    "Jeune dragonnet d'\195\169meraude", 
    "Jeune dragonnet sombre",
    "Jeune faucon-dragon argent\195\169",
    "Jeune faucon-dragon bleu",
    "Jeune faucon-dragon dor\195\169",
    "Jeune faucon-dragon rouge", 
    "Jeune hippogryphe",    
    "Laisse de zergling",
    "Mini-maison de jubelin",    
    "Oeuf d'Albie",
    "Oeuf de F\195\169e fl\195\169chetteuse", 
    "Oeuf de murloc bleu",
    "Oeuf de phal\195\168ne blanc",
    "Oeuf de phal\195\168ne bleu",         
    "Oeuf de phal\195\168ne jaune",
    "Oeuf de phal\195\168ne rouge",
    "Oeuf de poule",    
    "Panier \195\160 chat (Bombay)", 
    "Panier \195\160 chat (chaton blanc)", 
    "Panier \195\160 chat (Cornouailles)", 
    "Panier \195\160 chat (Maine Coon)", 
    "Panier \195\160 chat (Siamois)", 
    "Panier \195\160 chat (tigr\195\169 argent)", 
    "Panier \195\160 chat (tigr\195\169 noir)",
    "Panier \195\160 chat (tigr\195\169 orange)", 
    "Petit fumant", 
    "Pierre de Diablo",
    "Pink Murloc Egg",  
    "Pititaile",        
    "Poulet d'Anc\195\180ne",  
    "Poulet m\195\169canique",     
    "Serpent brun",         
    "Serpent cramoisi",     
    "Sifflet de chien de prairie", 
    "Suinteux d\195\169go\195\187tant",   
    "Wyrmelin de mana",
    "Y\195\169ti m\195\169canique paisible"
    }; 
    
    MINIPET_TELEPORTS = { 
    "Pierre de foyer", 
    --A Mage Teleports 
    "T\195\169l\195\169portation : Darnassus", 
    "T\195\169l\195\169portation : Forgefer", 
    "T\195\169l\195\169portation : Hurlevent", 
    "T\195\169l\195\169portation : Exodar", 
    --H Teleports 
    "T\195\169l\195\169portation : Fossoyeuse", 
    "T\195\169l\195\169portation : Orgrimmar", 
    "T\195\169l\195\169portation : Pitons du Tonnerre", 
    "T\195\169l\195\169portation : Silvermoon", 
    --Shattrath 
    "T\195\169l\195\169portation : Shattrath", 
    --Druid Teleport 
    "T\195\169l\195\169portation : Reflet-de-Lune", 
    --Engineering spells, only tested Gnomish Transporter 
    "Gnomish Transporter", 
    "Everlook Transporter", 
    "Toshley's Station Transporter", 
    "Area52 Transporter" 
    };
    
    MINIPET_BATTLEGROUNDS = { 
    "Goulet des Chanteguerres", 
    "Bassin d'Arathi", 
    "Vall\195\169e d'Alterac", 
    "L'\197\146il du cyclone"
    }; 
    
    MINIPET_USAGE = --\n = enter, |cFF00FFFF = blue color, |r resets the colour 
    "MiniPet Commands:\n"
    .. "|rlist: |cFF00FFFFListe tous vos minipets.\n"
    .. "|rtoggleTextWarning: |cFF00FFFFAffiche un texte de rappel pour votre minipet?\n"
    .. "|rtoggleButtonWarning: |cFF00FFFFIllumine le bouton de rappel pour votre minipet?\n"
    .. "|rtoggleAutoHideButton: |cFF00FFFFCache le bouton quand vous cliquez dessus?\n" 
    .. "|rtoggleBg: |cFF00FFFFAffiche un rappel dans les champs de bataille?\n"
    .. "|rtoggleButton: |cFF00FFFFAffiche/Cache le bouton de MiniPet."; 
    MINIPET_WARNPLAYER = "Il est l'heure de sortir un minipet!"; 
    MINIPET_BGENABLED = "Active l'affichage du rappel en champs de bataille."; 
    MINIPET_BGDISABLED = "D\195\169sactive l'affichage du rappel en champs de bataille."; 
    MINIPET_TEXTWARNINGENABLED = "Active le message de rappel de votre minipet."; 
    MINIPET_TEXTWARNINGDISABLED = "D\195\169sactive le message de rappel de votre minipet."; 
    MINIPET_BUTTONWARNINGENABLED = "Active l'illumination du bouton de rappel de votre minipet."; 
    MINIPET_BUTTONWARNINGDISABLED = "D\195\169sactive l'illumination du bouton de rappel de votre minipet."; 
    MINIPET_AUTOHIDEBUTTONENABLED = "Active le masquage du bouton lorsqu'il est utilis\195\169."; 
    MINIPET_AUTOHIDEBUTTONDISABLED = "D\195\169sactive le masquage du bouton lorsqu'il est utilis\195\169."; 
    MINIPET_BUTTONENABLED = "Affiche le button de MiniPet."; 
    MINIPET_BUTTONDISABLED = "Cache le button de MiniPet."; 
    
    MINIPET_NOPETS = "Vous n'avez pas de minipet :( Allez en acheter quelques un !";

------------------------------------------------------------
------------------------------------------------------------

--German translations by Plinius
elseif(GetLocale() == "deDE") then
	PETITEMNAMES = {
	"Das kleine Zuhause eines Jublings", 	
	"Anconahuhn", 	
	"Schwarze K\195\182nigsnatter",
	"Blutsegelsadmiralshut",			--Needs to be equipped
	"Blaues Drachenfalkenjunges",
	"Blaues Mottenei",		 	
	"Blaues Murlocei",
	"Hasenk\195\164fig (Braun)",
	"Braune Natter", 		
	"Eingefangene Flamme",  	
	"Katzentransportkorb (Schwarze Tigerkatze)",
	"Katzentransportkorb (Bombay)",
	"Katzentransportkorb (Cornish Rex)",
	"Katzentransportkorb (Maine Coon)", 
	"Katzentransportkorb (Orange Tigerkatze)",
	"Katzentransportkorb (Siamkatze)",
	"Katzentransportkorb (Silberne Tigerkatze)",
	"Katzentransportkorb (Weies K\195\164tzchen)",
	"Hhnerei", 	
	"Kakerlake",	
	"Purpurrote Natter", 	
	"Dunkelwelpling",
	"Diablostein",
	"Ekelhafter Schlammling",	
	"Goldenes Drachenfalkenjunges",
	"Groe Ohreneule", 
	"Gr\195\188ne Helferbox",
	"Falkeneule", 	
	"Hippogryphenjunges",	
	"Bimmelgl\195\182ckchen",
	"Lebensechter mechanischer Yeti", 	
	"Lil' Smoky",	
	"Lurkys Ei",
	"Manawyrmling",
	"Mechanisches Huhn", 	
	"Kasten mit mechanischem Eichh\195\182rnchen", 
	"Minischwing",		
	"Netherwelpenhalsband",
	"Pandahalsband",
	"Papageienk\195\164fig (Nymphensittich)", 
	"Papageienk\195\164fig (Gr\195\188nfl\195\188gelara)", 
	"Papageienk\195\164fig (Hyacinthara)", 
	"Papageienk\195\164fig (Senegal)",
	"Winzige wandelnde Bombe",
	"Schweinehalsband", 	
	"Rosa Murlocei",	
	"Winzige wandelnde Bombe",
	"Pr\195\164riehundepfeife",
	"Hasenk\195\164fig (Schneehase)",
	"Rattenk\195\164fig",
	"Rotes Drachenfalkenjunges", 
	"Rotes Mottenei",
	"Silbernes Drachenfalkenjunges",
	"Glimmernetztransportkorb",
	"Schneemannset",
	"Grimmlingflitzerei", 
	"Winziger Dunkelwelpling", 
	"Winziger purpurroter Welpling", 
	"Winziger smaragdgr\195\188ner Welpling", 	
	"Ruhiger mechanischer Yeti",	
	"Baumfroschkasten",	
	"Echtsilberschaftpfeil",
	"Schildkr\195\182tenkiste",
	"Weies Mottenei",
	"Waldfroschkasten",
	"Worgtransportkorb",
	"Gelbes Mottenei",
	"Zerglinglasso"
	};
	
	MINIPET_TELEPORTS = {
	"Ruhestein",	
	--A Mage Teleports
	"Teleportieren: Darnassus",
	"Teleportieren: Eisenschmiede",
	"Teleportieren: Sturmwind",
	"Teleport: Exodar",
	--H Teleports
	"Teleportieren: Unterstadt",
	"Teleportieren: Orgrimmar",
	"Teleportieren: Donnerfels",
	"Teleport: Silbermond",
	--Shattrath
	"Teleportieren: Shattrath",
	--Druid Teleport
	"Teleportieren: Mondlichtung",
	--Engineering spells, only tested Gnomish Transporter
	"Gnomish Transporter",
	"Everlook Transporter",
	"Toshley's Station Transporter",
	"Area52 Transporter"
	}
	
	MINIPET_BATTLEGROUNDS = {
	"Kriegshymnenschlucht",
	"Aratibecken",
	"Alteractal",
	"Auge des Sturms"
	};
	
	MINIPET_USAGE = --\n = enter, |cFF00FFFF = blue color, |r resets the colour
	"MiniPet Commands:\n"..
	"|rlist: |cFF00FFFFZeigt eine Liste mit Euren Haustieren.\n"..
	"|rtoggleTextWarning: |cFF00FFFFTextwarnungen zum Herausholen eines Haustieres an/aus?\n"..
	"|rtoggleButtonWarning: |cFF00FFFFBlinkender Button als Warnung zum Herausholen des Haustieres an/aus?\n"..
	"|rtoggleAutoHideButton: |cFF00FFFFVerstecken des Buttons nach bettigen ein/aus?\n" ..
	"|rtoggleBg: |cFF00FFFFWarnung auch in Schlachtfeldern zeigen?\n"..
	"|rtoggleButton: |cFF00FFFFMiniPet-Button zeigen ein/aus.";		
	
	MINIPET_WARNPLAYER = "Zeit ein Haustier herauszuholen!";
	MINIPET_BGENABLED = "Warnung in Schlachtfeldern zeigen - ein.";
	MINIPET_BGDISABLED = "Warnung in Schlachtfeldern zeigen - aus.";
	MINIPET_TEXTWARNINGENABLED = "Textwarnungen ein.";
	MINIPET_TEXTWARNINGDISABLED = "Textwarnungen aus.";
	MINIPET_BUTTONWARNINGENABLED = "Blinkender Button - ein.";
	MINIPET_BUTTONWARNINGDISABLED = "Blinkender Button - aus.";
	MINIPET_AUTOHIDEBUTTONENABLED = "Verstecken des Buttons nach Bettigung - ein.";
	MINIPET_AUTOHIDEBUTTONDISABLED = "Verstecken des Buttons nach Bettigung - aus.";
	MINIPET_BUTTONENABLED = "MiniPet Button wird angezeigt.";				
	MINIPET_BUTTONDISABLED = "MiniPet Button wird nicht mehr angezeigt.";
	
	MINIPET_NOPETS = "Leider habt Ihr keine Pets :( Besorgt Euch welche!";
end--if